Bug Hunting Session
Bug 118540 - LO6.1b2: DOCX crashes when properties are opened in print preview mode
Summary: LO6.1b2: DOCX crashes when properties are opened in print preview mode
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta2+
Hardware: All All
: highest critical
Assignee: Henry Castro
URL:
Whiteboard: target:6.2.0 target:6.1.0.2 target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-04 18:53 UTC by Mike
Modified: 2019-04-17 20:55 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["SfxViewShell::GetViewFrame()"]


Attachments
Fiel crashes LO 6.1b2, when Properties are opened in Print Preview Mode (22.78 KB, application/zip)
2018-07-04 18:53 UTC, Mike
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2018-07-04 18:53:03 UTC
Description:
The attached DOCX contains just the word "Test". It was created with Word 2007.

Opening Properties Menu, while in Print Preview Mode crashes LO 6.1 beta 2 and 6.2 alpha.

It does NOT crash LO 6.0.5! Only 6.1 and later!

Steps to Reproduce:
1. Open attached file
2. Open print preview mode
3. Click on "Properties..."
->

Actual Results:
LO 6.1 beta 2 and LO 6.2 alpha crash

Expected Results:
Properties of document are shown


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Could confirm crash in Safe Mode

Version: 6.1.0.0.beta2+ (x64)
Build ID: 33b7319e2e08812a2f7d3126e4b1ec90875d6165
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-07-03_04:13:19
Locale: de-DE (de_DE); Calc: group threaded
Comment 1 Mike 2018-07-04 18:53:48 UTC
Created attachment 143311 [details]
Fiel crashes LO 6.1b2, when Properties are opened in Print Preview Mode
Comment 2 Drew Jensen 2018-07-04 19:21:14 UTC
Confirmed, crash with both Version: 6.2.0.0.alpha0+
Build ID: 6af8aa411189993942d4a8a13199b0a5e026c003
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-06-28_23:11:37

and 6.1 Beta2 (again Ubuntu 18.04)

No problem with 6.0.5
Comment 3 Drew Jensen 2018-07-04 20:00:02 UTC
bibisect output:

9f339ebbf0cab229472e6698c98664f2e629d798 is the first bad commit
commit 9f339ebbf0cab229472e6698c98664f2e629d798
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sun Feb 18 18:23:10 2018 +0100

    source sha:55f5afe532c61c6bc382f23e17dfeb6ed3985790
    
    source sha:55f5afe532c61c6bc382f23e17dfeb6ed3985790

:040000 040000 5279b16405070ed4e1d397a4a8e9be657115b1a3 a716f5a506bf758b8b663caf6b259a141f9b5c5a M	instdir
Comment 4 Buovjaga 2018-07-04 20:05:38 UTC
Adding Cc: to Henry Castro
Comment 5 Commit Notification 2018-07-06 12:16:58 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d778140cca4c1a0b63531f46ea6c5df716e47b98

tdf#118540: LO6.1b2: DOCX crashes when properties...

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-07-07 12:57:52 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 363146254bd44ab82d657f2ca0293d03bd111280
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Henry, Thanks for fixing this!!
Comment 7 Commit Notification 2018-07-11 08:59:46 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f89e62cb7d4d32ad321840bd1887e7226c62cce&h=libreoffice-6-1

tdf#118540: LO6.1b2: DOCX crashes when properties...

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-04-17 20:55:48 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c0af0d16193ccc82536ed61fc0f76e2bcdfef1b1%5E%21

uitest for bug tdf#118540

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.